// create the main window
var mainWindow = Ti.UI.createWindow({backgroundColor:'#000000'});
// which will have a nav group
var navGroup = Ti.UI.iPhone.createNavigationGroup();

// create two windows
var win1 = Ti.UI.createWindow({
    title:'Window 1',
    backgroundColor:'#999999'
}), win2 = Ti.UI.createWindow({
    title:'Window 2',
    backgroundColor:'#999999'
});

// create two buttons
var but1 = Ti.UI.createButton({
    title:'Forward',
    textAlign:'center',
    width:100, height:100
}), but2 = Ti.UI.createButton({
    title:'Back',
    textAlign:'center',
    width:100, height:100
});

// button 1 is in window 1 and opens window 2
but1.addEventListener('click', function(e) {
    navGroup.open(win2);
});
win1.add(but1);

// button 2 is in window 2 and closes window 2
but2.addEventListener('click', function(e) {
    // BUG: when this next line is called on 1.5.1, win2 becomes a black box, and win1 slides on
    navGroup.close(win2);
});
win2.add(but2);

// finish setting up the nav group
navGroup.window = win1;
mainWindow.add(navGroup);

mainWindow.open();